#include<bits/stdc++.h>
using namespace std;

string n;
long long conUD,conRL;

int main (){

ios::sync_with_stdio(false);
cin.tie(NULL);
cin>>n;
for(int i=0;i<n.size();i++){
    if(n[i]=='D'){
        conUD--;
    }
    if(n[i]=='U'){
        conUD++;
    }
    if(n[i]=='L'){
        conRL--;
    }
    if(n[i]=='R'){
        conRL++;
    }
}
conUD=conUD*(-1);
conRL=conRL*(-1);
for(int i=0;i<abs(conUD);i++){
    if(conUD<0){
        cout<<"D";
    }
    if(conUD>0){
        cout<<"U";
    }
}
for(int i=0;i<abs(conRL);i++){
    if(conRL<0){
        cout<<"L";
    }
    if(conRL>0){
        cout<<"R";
    }
}
if(conRL==0 && conUD==0){
    cout<<"0"<<endl;
}else{
    cout<<endl;
}

return 0;

}
